Subject: Re: linux-next: build warning after merge of the hwmon-staging tree

From: Guenter Roeck <[email-masked]>
Date: Tue, 10 May 2022 07:03:42 -0700

On 5/10/22 03:47, Zev Weiss wrote:
> On Tue, May 10, 2022 at 03:11:04AM PDT, Stephen Rothwell wrote:
>> Hi all,
>>
>> After merging the hwmon-staging tree, today's linux-next build (powerpc
>> allyesconfig) produced this warning:
>>
>> WARNING: unmet direct dependencies detected for SENSORS_NCT6775
>>    Depends on [n]: HWMON [=y] && !PPC [=y] && (ACPI_WMI [=n] || ACPI_WMI [=n]=n)
>>    Selected by [y]:
>>    - SENSORS_NCT6775_I2C [=y] && HWMON [=y] && I2C [=y]
>>
>> Probably introduced by commit
>>
>>    58f1d9ebfce6 ("hwmon: (nct6775) Add i2c driver")
>>
> 
> Ah -- yes, thanks.  The Kconfig symbols in that patch series underwent
> some changes between revisions during review and I missed a couple of
> places that should have been updated.  I believe the patch below should
> fix it.
> 

I squashed the patch below into the patch introducing the i2c driver
to avoid later bisect issues.

Thanks,
Guenter